# Vectors

### Get vector count

Get the total count of vectors in a collection.

{% openapi src="/files/OxWW2q6r3FV7RpiIHohM" path="/collections/{collectionId}/vectors/count" method="get" %}
[spec (1).json](https://1528978414-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FiledLWrnfp1vzzN4LWjy%2Fuploads%2F7BvYC37gHq2uTfCS0KG7%2Fspec%20\(1\).json?alt=media\&token=55c7cc77-abd2-4e18-93a6-9acb74534a21)
{% endopenapi %}

### Get all vectors

Get all vectors in a collection.

{% openapi src="/files/OxWW2q6r3FV7RpiIHohM" path="/collections/{collectionId}/vectors/getAll" method="post" %}
[spec (1).json](https://1528978414-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FiledLWrnfp1vzzN4LWjy%2Fuploads%2F7BvYC37gHq2uTfCS0KG7%2Fspec%20\(1\).json?alt=media\&token=55c7cc77-abd2-4e18-93a6-9acb74534a21)
{% endopenapi %}

### Get a vector

Get specific vectors in a collection using their ids.

{% openapi src="/files/OxWW2q6r3FV7RpiIHohM" path="/collections/{collectionId}/vectors/get" method="post" %}
[spec (1).json](https://1528978414-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FiledLWrnfp1vzzN4LWjy%2Fuploads%2F7BvYC37gHq2uTfCS0KG7%2Fspec%20\(1\).json?alt=media\&token=55c7cc77-abd2-4e18-93a6-9acb74534a21)
{% endopenapi %}

### Create a vector

Create a new vector in a collection by passing it's values.&#x20;

{% openapi src="/files/OxWW2q6r3FV7RpiIHohM" path="/collections/{collectionId}/vectors/create" method="post" %}
[spec (1).json](https://1528978414-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FiledLWrnfp1vzzN4LWjy%2Fuploads%2F7BvYC37gHq2uTfCS0KG7%2Fspec%20\(1\).json?alt=media\&token=55c7cc77-abd2-4e18-93a6-9acb74534a21)
{% endopenapi %}

### Create a vector for a text

Create a new vector in a collection by passing the vector text. emno will use the collection configuration to convert the text to the vector values and save the vector.

{% openapi src="/files/OxWW2q6r3FV7RpiIHohM" path="/collections/{collectionId}/vectors/create/text" method="post" %}
[spec (1).json](https://1528978414-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FiledLWrnfp1vzzN4LWjy%2Fuploads%2F7BvYC37gHq2uTfCS0KG7%2Fspec%20\(1\).json?alt=media\&token=55c7cc77-abd2-4e18-93a6-9acb74534a21)
{% endopenapi %}

### Update a vector

Update a vector in a collection.

{% openapi src="/files/OxWW2q6r3FV7RpiIHohM" path="/collections/{collectionId}/vectors/update" method="post" %}
[spec (1).json](https://1528978414-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FiledLWrnfp1vzzN4LWjy%2Fuploads%2F7BvYC37gHq2uTfCS0KG7%2Fspec%20\(1\).json?alt=media\&token=55c7cc77-abd2-4e18-93a6-9acb74534a21)
{% endopenapi %}

### Delete a vector

Deletes specific vectors in a collection by using their ids. If you pass "deleteAll" as true, you can delete all vectors in collection with a single API call.&#x20;

{% openapi src="/files/OxWW2q6r3FV7RpiIHohM" path="/collections/{collectionId}/vectors/delete" method="post" %}
[spec (1).json](https://1528978414-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FiledLWrnfp1vzzN4LWjy%2Fuploads%2F7BvYC37gHq2uTfCS0KG7%2Fspec%20\(1\).json?alt=media\&token=55c7cc77-abd2-4e18-93a6-9acb74534a21)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emno.io/emno/reference/api-reference/vectors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
